from rest_framework import serializers


""" DATA SERIALIZERS """

class TeamsSerializer(serializers.Serializer):
    id = serializers.CharField()
    name = serializers.CharField()
    division = serializers.IntegerField()


class DivisionsSerializer(serializers.Serializer):
    id = serializers.IntegerField()
    name = serializers.CharField()    
    teams = TeamsSerializer(many=True)
    nTeams = serializers.IntegerField()
    ms_art = serializers.CharField()
    patterns = serializers.DictField()
    opponents = serializers.DictField()


class ProblemSerializer(serializers.Serializer):
    divisions = DivisionsSerializer(many=True)